#ifndef BIRLIB_H
#define BIRLIB_H

void bir_UpdatePad();
void bir_UpdateOAM();

void bir_InitText();
void bir_LoadBgPal(u16* palette);
void bir_LoadBg(u8 bg, u16* data, int datasize,u16* map, int mapsize);
void bir_LoadSpritePal(u16* palette);
int  bir_CreateSpriteGfx(u16* data,u16 size);
void bir_CreateSpriteFromGfx(u8 n,int tilenum, u16 size, u8 x, u8 y);
void bir_LoadSprite(u8 n, u16* data,u16 size, u8 x, u8 y);
void bir_SetSpriteXY(u8 n, s16 x, s16 y);
void bir_SpriteInit();
void bir_Init(int mode);
void bir_Print(char* str, u8 x, u8 y);
void bir_WaitVBL();
void bir_ScrollBgXY(u8 bg, u8 x, u8 y);
void bir_Put8bitPx(u8 x, u8 y, u8 color);
void bir_ClearScreen();


extern Pads Pad;
extern u16 *BgPal;

#endif
